Bug 165685 - x11-wm/xfce4 - excessive replication of menu items
Summary: x11-wm/xfce4 - excessive replication of menu items
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2012-03-04 14:30 UTC by jb.1234abcd
Modified: 2015-07-02 20:52 UTC (History)
1 user (show)

See Also:


Attachments
Add new option in desktop item editor (12.14 KB, patch)
2014-10-25 17:41 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jb.1234abcd 2012-03-04 14:30:08 UTC
I find it annoying having same items listed in multiple menus, e.g.

- Accessories - Bulk Rename
                Orage Globaltime
                Terminal
                Thunar File Manager
                Help

- Office - Orage Globaltime

- System - Bulk Rename
           Terminal
           Thunar File Manager

- Applications Menu - Help

It leads to cluttered menus.

Fix: 

Assign menu item to only one thematic menu.
How-To-Repeat: install xfce.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-03-05 01:09:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->xfce

Fix synopsis and assign.
Comment 2 Olivier Duchateau 2012-03-05 20:42:58 UTC
Xfce's aplications like Orage, Thunar, ... follow the freedesktop.org
specifications [1], [2]. So it's "consensus".
However, you can patch .desktop.in.in files before to install these
applications, or better customize your menu [3].

[1] http://standards.freedesktop.org/menu-spec/latest/
[2] http://standards.freedesktop.org/menu-spec/menu-spec-latest.html#category-registry
[3] http://wiki.xfce.org/howto/customize-menu

2012/3/5  <linimon@freebsd.org>:
> Old Synopsis: xfce - excessive replication of menu items
> New Synopsis: x11-wm/xfce - excessive replication of menu items
>
> Responsible-Changed-From-To: freebsd-ports-bugs->xfce
> Responsible-Changed-By: linimon
> Responsible-Changed-When: Mon Mar 5 01:09:30 UTC 2012
> Responsible-Changed-Why:
> Fix synopsis and assign.
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=165685
> _______________________________________________
> freebsd-xfce@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-xfce
> To unsubscribe, send any mail to "freebsd-xfce-unsubscribe@freebsd.org"



-- 
olivier
Comment 3 Ade Lovett freebsd_committer 2012-03-19 17:23:04 UTC
Responsible Changed
From-To: xfce->freebsd-xfce

Canonicalize.
Comment 4 Martin Wilke freebsd_committer 2014-02-27 15:11:38 UTC
State Changed
From-To: open->feedback

still a problem?
Comment 5 Olivier Duchateau freebsd_committer 2014-10-25 17:41:36 UTC
Created attachment 148642 [details]
Add new option in desktop item editor

Recently, I send to upstream, patch, which add new option (Hidden) in desktop item editor. I'm waiting upstream's feedback, before backported in ports tree.

Anyway, you can test patch (x11/libexo). Then launch exo-desktop-item-edit <path/to/desktop/file> (usually /usr/local/share/applications/).

In xfce4-desktop (>= 4.11), right click on one menu item, and launcher editor opens.